---
title: Window.updateCommands()
slug: Web/API/Window/updateCommands
tags:
  - API
  - HTML DOM
  - Method
  - Reference
  - Window
  - XUL command nodes
  - sCommandName
  - updateCommands
---
<p>{{ ApiRef() }}{{Non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>Updates the state of commands of the current chrome window (UI).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">window.updateCommands("sCommandName")
</pre>

<h2 id="Parameters">Parameters</h2>

<ul>
 <li><code>sCommandName</code> is a particular string which describes what kind of update event this is (e.g. whether we are in bold right now).</li>
</ul>

<h2 id="Notes">Notes</h2>

<p>This enables or disables items (setting or clearing the "disabled" attribute on the command node as appropriate), or ensures that the command state reflects the state of the selection by setting current state information in the "state" attribute of the XUL command nodes.</p>

<h2 id="Specifications">Specifications</h2>

<p>DOM Level 0. Not part of specification.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.updateCommands")}}</p>
